<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.attence.ruletime.mapper.RuleTimeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ruleTimeResultMap" type="org.springblade.attence.ruletime.entity.RuleTime">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="rule_id" property="ruleId"/>
        <result column="work_days" property="workDays"/>
        <result column="work_time" property="workTime"/>
        <result column="off_work_time" property="offWorkTime"/>
        <result column="remind_work_time" property="remindWorkTime"/>
        <result column="remind_off_work_time" property="remindOffWorkTime"/>
        <result column="allow_rest" property="allowRest"/>
        <result column="rest_begin_time" property="restBeginTime"/>
        <result column="rest_end_time" property="restEndTime"/>
        <result column="allow_flex" property="allowFlex"/>
        <result column="flex_on_duty_time" property="flexOnDutyTime"/>
        <result column="flex_off_duty_time" property="flexOffDutyTime"/>
    </resultMap>


    <select id="selectRuleTimePage" resultMap="ruleTimeResultMap">
        select * from attence_rule_time where is_deleted = 0
    </select>

</mapper>
